Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1193054 - [AAA] org.ovirt.engine.core.extensions.mgr .ConfigurationException: Extension $activedirectoryhost could not be found
Summary: [AAA] org.ovirt.engine.core.extensions.mgr .ConfigurationException: Extension...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.6.0
Assignee: Yair Zaslavsky
QA Contact: Ondra Machacek
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-16 13:37 UTC by Jiri Belka
Modified: 2016-02-10 19:03 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-23 09:55:59 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
engine.log (249.40 KB, application/x-gzip)
2015-02-16 13:37 UTC, Jiri Belka
no flags Details

Description Jiri Belka 2015-02-16 13:37:22 UTC
Created attachment 992193 [details]
engine.log

Description of problem:
...Extension $activedirectoryhost could not be found... - seems odd...

2015-02-16 14:33:19,551 ERROR [org.ovirt.engine.core.bll.aaa.SyncUsers] (DefaultQuartzScheduler_Worker-1) Error during user synchronization of e
xtension ad-w2k12r2.rhev.lab.eng.brq.redhat.com. Exception message is Extension ad-w2k12r2.rhev.lab.eng.brq.redhat.com could not be found
2015-02-16 14:33:19,554 DEBUG [org.ovirt.engine.core.bll.aaa.SyncUsers] (DefaultQuartzScheduler_Worker-1) : org.ovirt.engine.core.extensions.mgr
.ConfigurationException: Extension ad-w2k12r2.rhev.lab.eng.brq.redhat.com could not be found
        at org.ovirt.engine.core.extensions.mgr.ExtensionsManager.getExtensionByName(ExtensionsManager.java:282) [extensions-manager.jar:]
        at org.ovirt.engine.core.bll.aaa.SyncUsers.sync(SyncUsers.java:47) [bll.jar:]
        at org.ovirt.engine.core.bll.aaa.DbUserCacheManager.refreshAllUsers(DbUserCacheManager.java:64) [bll.jar:]
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_75]
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_75]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_75]
        at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_75]
        at org.ovirt.engine.core.utils.timer.JobWrapper.execute(JobWrapper.java:60) [scheduler.jar:]
        at org.quartz.core.JobRunShell.run(JobRunShell.java:213) [quartz.jar:]
        at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:557) [quartz.jar:]



Version-Release number of selected component (if applicable):
rhevm-backend-3.5.0-0.31.el6ev.noarch

How reproducible:
???

Steps to Reproduce:
1. ???
2.
3.

Actual results:
odd message in engine.log

Expected results:
???

Additional info:
$activedirectoryhost = my AD domain which was added via engine-manage-domains command

Comment 1 Alon Bar-Lev 2015-02-23 08:30:42 UTC
I do not see the ad-w2k12r2.rhev.lab.eng.brq.redhat.com is added, engine-manage-domain list please.

The sync will go away in 3.5.1, this message is harmless.

Comment 2 Jiri Belka 2015-02-23 09:38:07 UTC
# engine-manage-domains list
Domain: brq-ipa.rhev.lab.eng.brq.redhat.com
        User name: admin@BRQ-IPA.RHEV.LAB.ENG.BRQ.REDHAT.COM
Manage Domains completed successfully

Comment 3 Alon Bar-Lev 2015-02-23 09:41:24 UTC
(In reply to Jiri Belka from comment #2)
> # engine-manage-domains list
> Domain: brq-ipa.rhev.lab.eng.brq.redhat.com
>         User name: admin@BRQ-IPA.RHEV.LAB.ENG.BRQ.REDHAT.COM
> Manage Domains completed successfully

which is not ad-w2k12r2.rhev.lab.eng.brq.redhat.com that is missing.

you have leftover from ad-w2k12r2.rhev.lab.eng.brq.redhat.com within users database, and have no ad-w2k12r2.rhev.lab.eng.brq.redhat.com provider, so message is good.

checkout the authz name in the users tab.

Comment 4 Jiri Belka 2015-02-23 09:51:27 UTC
imho this should not be ERROR at all, ERRORs are important alerts which are usually caught by monitoring system. in this context what would this error message told me - admin removed domain with engine-manage-domains?

i think this should not "spam" engine.log or at least not with ERROR level.

Comment 5 Jiri Belka 2015-02-23 09:52:52 UTC
also...

"...of extension ad-w2k12r2.rhev.lab.eng.brq.redhat.com..." - of _extension_ ? ad-w2k12r2.rhev.lab.eng.brq.redhat.com is an extension? odd...

Comment 6 Alon Bar-Lev 2015-02-23 09:55:59 UTC
It is an ERROR as the sysadmin should either remove the user or re-add the domain.

So all turns to be a message syntax issues.

As I wrote the sync is going away in next z-stream, it was a mistake not to remove this for the release, but I had enough arguments.

Closing it as WORKSFORME, feel free to close it in any other form.


Note You need to log in before you can comment on or make changes to this bug.